Roomability Guest API
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. RoomType
Roomability Guest API
  • Introduction
  • Authentication
  • Responses
  • Roomability Guest API
    • PayGateway
      • Detail
    • CancelPolicy
      • Detail
    • Paystack
      • Verify
      • Initialize
    • Reservation
      • Add
      • Availability
      • Cancel
      • Booking Ref
    • Country
      • GetSelectList
    • RoomType
      • DetailList
        GET
      • Detail
        GET
    • Term
      • Detail
    • State
      • GetSelectList
    • Privacy
      • Detail
    • Guest
      • Detail
    • Payment Method
      • Active List
    • Hotel
      • Detail
      • Hotel Rule
    • GetHotel List
      GET
    • Contact Page
      POST
    • Search List
      GET
    • Countries
      GET
    • Phone Code List
      GET
  • Retails & Ecommece Guest Api
    • Products
    • Users
    • Carts
    • Orders
  • Loyality Endpoint Api
    • Doors
Commerce & Guest API Services
Hotel Management System
Commerce & Guest API Services
Hotel Management System
  1. RoomType

Detail

GET
https://guestapi.roomability.io/RoomType/Detail
Last modified:2026-03-12 08:08:55

RoomType Detail#

This endpoint retrieves the details of a specific room type.

Request#

Endpoint#

GET /RoomType/Detail

Query Parameters#

roomTypeId (integer): The ID of the room type for which details are to be retrieved.

Response#

types (array of objects)
facilityTypeId (integer): The ID of the facility type.
roomTypeId (integer): The ID of the room type.
roomType (string): The name of the room type.
summary (string): The summary of the room type.
adult (integer): The maximum number of adults allowed in the room.
children (integer): The maximum number of children allowed in the room.
currencySymbol (string): The currency symbol for the room rate.
rateId (integer): The ID of the room rate.
rate (integer): The room rate.
available (integer): The number of available rooms.
image1 to image8 (string): URLs of room images.
errorCode (integer): The error code, if any.
errorMessage (string): The error message, if any.

Request

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/RoomType/Detail?roomTypeId=1' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
Response Response Example
{
    "type": {
        "facilityTypeId": 1,
        "roomTypeId": 1,
        "roomType": "First Class Suite",
        "detail": "",
        "adult": 2,
        "children": 2,
        "currencySymbol": "₦",
        "rateId": 1,
        "rate": 60000,
        "available": 0,
        "image1": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image2": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image3": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image4": "https://api.reservations.ng/images/hotels/room-placeholder.png",
        "image5": "",
        "image6": "",
        "image7": "",
        "image8": ""
    },
    "errorCode": 0,
    "errorMessage": "Successfully retrieved room types."
}
Modified at 2026-03-12 08:08:55
Previous
DetailList
Next
Detail
Built with